# $Revision: 1.21 $, $Date: 2005/12/31 13:42:00 $
Summary:	Ruby program like Make
Summary(pl):	Program typu Make dla jzyka Ruby
Name:		rake
Version:	0.6.2
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	http://rubyforge.org/download.php/6357/%{name}-%{version}.tgz
# Source0-md5:	9813cf922ef8fc08b96f880faf883e5e
Patch0:		%{name}-libdir.patch
URL:		http://rake.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rake is a simple Ruby build program with capabilities similar to make.
It has the following features:
- Rakefiles (rake's version of Makefiles) are completely defined in
  standard Ruby syntax. No XML files to edit. No quirky Makefile syntax
  to worry about (is that a tab or a space?)
- Users can specify tasks with prerequisites.
- Rake supports rule patterns to synthesize implicit tasks.
- Rake is lightweight. It can be distributed with other projects as a
  single file. Projects that depend upon rake do not require that rake
  be installed on target systems.

%description -l pl
Rake to prosty program do budowania w jzyku Ruby o moliwociach
podobnych do make. Ma nastpujce cechy:
- Pliki Rakefile (rake'owa odmiana plikw Makefile) s definiowane
  cakowicie w standardowej skadni jzyka Ruby. Nie trzeba modyfikowa
  plikw XML. Nie trzeba martwi si kaprysami skadni Makefile (czy to
  tabulacja czy spacja?).
- Uytkownicy mog okrela zadania z ich zalenociami.
- Rake obsuguje wzorce regu do tworzenia z nich wynikowych zada.
- Rake jest lekki. Moe by rozpowszechniany z innymi projektami jako
  pojedynczy plik. Projekty uywajce rake'a nie wymagaj go
  zainstalowanego na systemach docelowych.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT \
ruby install.rb

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/rake
%{ruby_rubylibdir}/rake.rb
%{ruby_rubylibdir}/rake

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rake.spec,v $
Revision 1.21  2005/12/31 13:42:00  glen
- need ruby-modules for rpm macros to work

Revision 1.20  2005/12/31 10:36:33  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.19  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.18  2005/12/27 09:19:25  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.17  2005/12/26 23:50:12  glen
- use system ruby macros; cleanups

Revision 1.16  2005/10/08 05:33:21  aredridel
- up to 0.6.2

Revision 1.15  2005/09/06 01:45:03  aredridel
- up to 0.6.0

Revision 1.14  2005/07/13 08:12:08  aredridel
- added unlimit-rules patch

Revision 1.13  2005/07/11 15:54:03  darekr
- added %doc

Revision 1.12  2005/07/11 15:31:07  aredridel
- up to 0.5.4

Revision 1.11  2005/03/28 07:04:36  aredridel
- up to 0.5.0

Revision 1.10  2005/01/22 06:23:44  aredridel
- up to 0.4.15, really.

Revision 1.9  2005/01/06 01:13:02  havner
- BA commented (should be noarch soon)

Revision 1.8  2005/01/06 01:06:08  havner
- not noarch, rel 2

Revision 1.7  2004/12/31 23:53:29  aredridel
- up to 0.4.14
- STBR

Revision 1.6  2004/07/12 14:45:22  aredridel
- up to 0.4.2

Revision 1.5  2004/06/29 23:05:18  aredridel
- up to 0.4.0

Revision 1.4  2004/02/23 19:06:40  qboosh
- cleanup before install

Revision 1.3  2004/02/23 19:05:52  qboosh
- cleanups, descriptions

Revision 1.2  2004/02/22 23:25:41  aredridel
- added R: ruby

Revision 1.1  2004/02/22 23:25:22  aredridel
- added
